View Issue Details

IDProjectCategoryView StatusLast Update
0001077OXID eShop (all versions)4.07. Source code, Testpublic2012-12-10 13:45
Reporterriess 
PriorityhighSeveritycriticalReproducibilityalways
Status resolvedResolutionfixed 
PlatformV-ServerOSCentOSOS Version5.3 (64bit)
Product Version 
Target VersionFixed in Version4.1.4 revision 21266 
Summary0001077: Deprecated warnings on PHP5.3.0 (split, eregi)
DescriptionOxidShop (Community-Edition) running on a System with php 5.3.0 throws multiple warnings.

I will change the code on my local System and report the changes on this ticket.
I think, i dont have write-permissions on svn ;)


 
Additional InformationDeprecated: Function ereg_replace() is deprecated in /var/kunden/webs/customer/core/oxutilsstring.php on line 97
-> preg_replace() -> new warning: $ ist unknown modifier - !?

Deprecated: Function eregi_replace() is deprecated in /var/kunden/webs/customer/core/oxutilspic.php on line 224
-> preg_replace() -> new warning: + ist unknown modifier ?!

Deprecated: Function split() is deprecated in /var/kunden/webs/customer/core/oxutilsdate.php on line 98
-> explode()

Deprecated: Function split() is deprecated in /var/kunden/webs/customer/core/oxutilsdate.php on line 107
-> explode()

Deprecated: Function ereg() is deprecated in /var/kunden/webs/customer/core/oxutilsfile.php on line 505
-> preg_match()

Deprecated: Function split() is deprecated in /var/kunden/webs/customer/core/adodblite/adodb-perf.inc.php on line 91
-> explode()

Deprecated: Function split() is deprecated in /var/kunden/webs/customer/core/adodblite/adodb-perf.inc.php on line 94
-> explode()

Deprecated: Function split() is deprecated in /var/kunden/webs/customer/core/adodblite/adodb-perf.inc.php on line 91
-> explode()

Deprecated: Function split() is deprecated in /var/kunden/webs/customer/core/adodblite/adodb-perf.inc.php on line 94
-> explode()


TagsNo tags attached.
Theme
BrowserAll
PHP Version5.3
MySQL Version5.0.45

Relationships

has duplicate 0002784 closedbirute_meilutyte PHP 5.3 Error Deprecated: Function split() is deprecated in 
related to 0001546 resolvedvilma_liorensaityte PHP 5.3.0: Function split() is deprecated 

Activities

riess

2009-07-06 22:04

reporter   ~0001151

unknown modifier (like described in additional information above)
fixed, by slashes at start and the end of the reg-expression. - i'am new on php, so i had to learn this :)

i have fixed the code (on my system) - oxidshop seems to work fine now ..

alfonsas_cirtautas

2009-07-08 15:22

reporter   ~0001163

try to disable E_DEPRECATED error warnings

more: http://www.php.net/manual/en/migration53.deprecated.php

riess

2009-07-08 16:33

reporter   ~0001165

hello alfonsas_cirtautas

thank you for your hint!
i had some problems in php-configuration, therefore oxidshop doesn't work correctly. meanwhile the problems are fixed. i had problems to divide the strange behavior of the system into php and oxidshop relations.

i think, to fix the code is a better solution than switch of the warnings.
if someone want to do the work the description in this ticket could give
a good hint to locate the source.

regards

vilma_liorensaityte

2009-07-22 16:47

administrator   ~0001264

changed deprecated functions in oxid classes, cannot do it in third party libraries (like adodblite, phpmailer...). So you have to disable E_DEPRECATED error warnings.